if (SDFormat_CONFIG_INCLUDED)
  return()
endif()
set(SDFormat_CONFIG_INCLUDED TRUE)

list(APPEND SDFormat_INCLUDE_DIRS "@@HOMEBREW_CELLAR@@/sdformat3/3.7.0_4/include/sdformat-3.7")

list(APPEND SDFormat_CFLAGS "-I@@HOMEBREW_CELLAR@@/sdformat3/3.7.0_4/include/sdformat-3.7")
if (NOT WIN32)
  list(APPEND SDFormat_CXX_FLAGS "${SDFormat_CFLAGS} -std=c++11")
endif()

foreach(lib sdformat)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS "@@HOMEBREW_CELLAR@@/sdformat3/3.7.0_4/lib"
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package SDFormat is not installed properly")
  endif()
  list(APPEND SDFormat_LIBRARIES "${onelib}")
endforeach()

find_package(ignition-math2)
list(APPEND SDFormat_INCLUDE_DIRS ${IGNITION-MATH_INCLUDE_DIRS})
list(APPEND SDFormat_LIBRARIES ${IGNITION-MATH_LIBRARIES})

find_package(Boost)
list(APPEND SDFormat_INCLUDE_DIRS ${Boost_INCLUDE_DIRS})
list(APPEND SDFormat_LIBRARIES ${Boost_LIBRARIES})

list(APPEND SDFormat_LDFLAGS "-L@@HOMEBREW_CELLAR@@/sdformat3/3.7.0_4/lib")
